package com.dgtly.system.service;

import com.dgtly.system.domain.SysModelLayout;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 磁贴信息Service接口
 * 
 * @author dgtly
 * @date 2019-10-30
 */
public interface ISysModelLayoutService 
{
    /**
     * 查询磁贴信息
     * 
     * @param id 磁贴信息ID
     * @return 磁贴信息
     */
    public SysModelLayout selectSMLByUserIdMenuId(Long userId,Long menuId);


    /**
     * 新增磁贴信息
     * 
     * @param sysModelLayout 磁贴信息
     * @return 结果
     */
    public int insertSysModelLayout(SysModelLayout sysModelLayout);

    /**
     * 修改磁贴信息
     * 
     * @param sysModelLayout 磁贴信息
     * @return 结果
     */
    public int updateSysModelLayout(SysModelLayout sysModelLayout);

    /**
     * 批量删除磁贴信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     *//*
    public int deleteSysModelLayoutByIds(String ids);

    public int deleteSysModelLayoutByIdArray(List<String> idList);*/

    /**
     * 删除磁贴信息信息
     * 
     * @param id 磁贴信息ID
     * @return 结果
     */
    public int deleteSysModelLayoutById(Long userId,Long menuId);

    /**
     * 根据用户id查询布局及菜单的相关信息
     * @param userId
     * @return
     */
    List<Map<String,Object>> selectModelMenu(Long userId);


    /**
     * 批量删除磁贴信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSMLs(String[] menuIds,Long userId);

    /**
     * 批量删除磁贴信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSMLArray(List<String> menuIds,Long userId);


}
